## dune-pdelab 2.5.0~rc1

=== CMakeLists.txt ===
# set up project
project("dune-pdelab" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.12)

# guess dune-common build dir
if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

# Disable the upstream testing magic, that builds tests during "make test"
set(DUNE_TEST_MAGIC OFF)

# To have enable all packages work with cmake-2.8, the module
# libraries need to be added before the call to dune_enable_all_packages()
# With cmake 3.1, one would use the MODULE_LIBRARIES argument of
# dune_enable_all_packages() instead.
dune_add_library(dunepdelab
  dune/pdelab/common/clock.cc
  dune/pdelab/common/hostname.cc
  dune/pdelab/common/logtag.cc
  )
dune_target_enable_all_packages(dunepdelab)

dune_register_package_flags(LIBRARIES dunepdelab)

# Use the enable all packages feature
dune_enable_all_packages()

add_subdirectory(doc)
add_subdirectory(dune)
add_subdirectory(cmake/modules)
add_subdirectory(lib)

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== dune/CMakeLists.txt ===
add_subdirectory(pdelab)

=== doc/doxygen/CMakeLists.txt ===
# Create and install doxygen documentation
add_doxygen_target()

=== dune/pdelab/adaptivity/CMakeLists.txt ===
install(FILES adaptivity.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/adaptivity)

=== dune/pdelab/backend/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(eigen)
add_subdirectory(istl)
add_subdirectory(simple)

if(NOT HAVE_EIGEN)
  exclude_from_headercheck(
    eigen.hh)
endif()

install(FILES eigen.hh
              interface.hh
              istl.hh
              simple.hh
              solver.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/backend)

=== dune/pdelab/boilerplate/CMakeLists.txt ===
install(FILES pdelab.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/boilerplate)

=== dune/pdelab/common/CMakeLists.txt ===
install(FILES benchmarkhelper.hh
              borderindexidcache.hh
              clock.hh
              crossproduct.hh
              dofindex.hh
              elementmapper.hh
              exceptions.hh
              function.hh
              functionutilities.hh
              functionwrappers.hh
              geometrywrapper.hh
              globaldofindex.hh
              hostname.hh
              instationaryfilenamehelper.hh
              intersectiontype.hh
              jacobiantocurl.hh
              logtag.hh
              multiindex.hh
              partitionviewentityset.hh
              polymorphicbufferwrapper.hh
              quadraturerules.hh
              range.hh
              referenceelements.hh
              simpledofindex.hh
              topologyutility.hh
              typetraits.hh
              utility.hh
              vtkexport.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/common)

=== dune/pdelab/finiteelementmap/CMakeLists.txt ===
install(FILES bdm1cube2dfem.hh
              bdm1simplex2dfem.hh
              brezzidouglasmarinifem.hh
              edges0.5fem.hh
              finiteelementmap.hh
              global.hh
              mimeticfem.hh
              monomfem.hh
              opbfem.hh
              p0fem.hh
              pk1d.hh
              pkfem.hh
              pkqkfem.hh
              powerfem.hh
              qkdg.hh
              qkdggl.hh
              qkfem.hh
              rannacherturekfem.hh
              raviartthomasfem.hh
              rt0cube2dfem.hh
              rt0cube3dfem.hh
              rt0simplex2dfem.hh
              rt1cube2dfem.hh
              rt1cube3dfem.hh
              rt1simplex2dfem.hh
              rt2cube2dfem.hh
              variablemonomfem.hh
              variableopbfem.hh
              variableqkdgfem.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/finiteelementmap)

=== dune/pdelab/function/CMakeLists.txt ===
install(FILES
              localfunction.hh
              localfunctionhelper.hh
              oldinterfaceadapter.hh
              tags.hh
              # old interface ...
              callableadapter.hh
              const.hh
              division.hh
              inverse.hh
              memberadaptor.hh
              minus.hh
              product.hh
              scalarscaled.hh
              selectcomponent.hh
              sqr.hh
              sqrt.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/function)

=== dune/pdelab/gridoperator/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(default)
add_subdirectory(onestep)

install(FILES gridoperator.hh
              onestep.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/gridoperator)

=== dune/pdelab/localoperator/CMakeLists.txt ===
install(FILES callswitch.hh
              convectiondiffusionccfv.hh
              convectiondiffusiondg.hh
              convectiondiffusionfem.hh
              convectiondiffusionparameter.hh
              darcyccfv.hh
              darcyfem.hh
              defaultimp.hh
              dginteriorpenaltyparameter.hh
              dgnavierstokes.hh
              dgnavierstokesparameter.hh
              dgnavierstokesvelvecfem.hh
              dgparameter.hh
              diffusionmixed.hh
              electrodynamic.hh
              errorindicatordg.hh
              eval.hh
              flags.hh
              idefault.hh
              interface.hh
              l2.hh
              l2volumefunctional.hh
              linearacousticsdg.hh
              linearacousticsparameter.hh
              linearelasticity.hh
              linearelasticityparameter.hh
              maxwelldg.hh
              maxwellparameter.hh
              navierstokesmass.hh
              nonlinearconvectiondiffusionfem.hh
              numericaljacobian.hh
              numericaljacobianapply.hh
              numericalnonlinearjacobianapply.hh
              numericalresidual.hh
              pattern.hh
              permeability_adapter.hh
              scaled.hh
              stokesparameter.hh
              sum.hh
              taylorhoodnavierstokes.hh
              twophaseccfv.hh
              variablefactories.hh
              weightedsum.hh
              zero.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/localoperator)

=== dune/pdelab/newton/CMakeLists.txt ===
install(FILES newton.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/newton)

=== debian/changelog ===
dune-pdelab (2.5.0~rc1-2build1) bionic; urgency=medium

  * No-change rebuild against libsuitesparseconfig5

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 Dec 2017 16:14:52 +0000

dune-pdelab (2.5.0~rc1-2) unstable; urgency=medium

  * Upload to unstable.
  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867080)
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 12:33:14 +0200

dune-pdelab (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Now Depends: libdune-functions-dev (instead of only Recommends:).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 24 Feb 2017 10:54:37 +0100

=== debian/control ===
Source: dune-pdelab
Section: libs
Priority: optional
Standards-Version: 4.0.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-pdelab.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-pdelab.git
Homepage: https://www.dune-project.org/modules/dune-pdelab/
Build-Depends: debhelper (>= 9),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-functions-dev (>= 2.5.1),
 libdune-grid-dev (>= 2.5.1),
 libdune-istl-dev (>= 2.5.1),
 libdune-localfunctions-dev (>= 2.5.1),
 libdune-typetree-dev (>= 2.5.0),
 libeigen3-dev,
 libalberta2-dev (>= 2.0.1-5),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures

Package: libdune-pdelab-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-functions-dev (>= 2.5.1),
 libdune-grid-dev (>= 2.5.1),
 libdune-istl-dev (>= 2.5.1),
 libdune-localfunctions-dev (>= 2.5.1),
 libdune-typetree-dev (>= 2.5.0),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Suggests: libdune-pdelab-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- discretization module (development files)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the development files.

Package: libdune-pdelab-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- discretization module (documentation)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the documentation.

## dune-pdelab 2.6~20180302

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
 dune_enable_all_packages()
 
 add_subdirectory(doc)
-add_subdirectory(dune)
+add_subdirectory(dune/pdelab)
 add_subdirectory(cmake/modules)
 add_subdirectory(lib)

=== cmake/modules/CMakeLists.txt ===
set(modules
  CorrectWindowsPaths.cmake
  DunePdelabMacros.cmake
  FindPackageMultipass.cmake
  FindPETSc.cmake
  ResolveCompilerPaths.cmake
  UseEigen.cmake
  UsePETSc.cmake)
install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== dune/pdelab/CMakeLists.txt ===
add_subdirectory(adaptivity)
add_subdirectory(backend)
add_subdirectory(boilerplate)
add_subdirectory(common)
add_subdirectory(constraints)
add_subdirectory(finiteelement)
add_subdirectory(finiteelementmap)
add_subdirectory(function)
add_subdirectory(gridfunctionspace)
add_subdirectory(gridoperator)
add_subdirectory(instationary)
add_subdirectory(localoperator)
add_subdirectory(newton)
add_subdirectory(ordering)
add_subdirectory(stationary)
add_subdirectory(test)

=== dune/pdelab/constraints/CMakeLists.txt ===
add_subdirectory(common)

install(FILES conforming.hh
              hangingnode.hh
              hangingnodemanager.hh
              interiornode.hh
              noconstraints.hh
              p0.hh
              p0ghost.hh
              raviartthomas0.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/constraints)

=== dune/pdelab/finiteelement/CMakeLists.txt ===
install(FILES
  qkdglagrange.hh
  qkdglegendre.hh
  qkdglobatto.hh
  pk1d.hh
  l2orthonormal.hh
  localbasiscache.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/finiteelement)

=== dune/pdelab/finiteelementmap/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
               pkqkfem.hh
               powerfem.hh
               qkdg.hh
-              qkdggl.hh
               qkfem.hh
               rannacherturekfem.hh
               raviartthomasfem.hh
@@ -24,6 +23,7 @@
               rt1cube3dfem.hh
               rt1simplex2dfem.hh
               rt2cube2dfem.hh
+              utility.hh
               variablemonomfem.hh
               variableopbfem.hh
               variableqkdgfem.hh

=== dune/pdelab/gridfunctionspace/CMakeLists.txt ===
install(FILES compositegridfunctionspace.hh
              dunefunctionsgridfunctionspace.hh
              dunefunctionslfsindexcache.hh
              dunefunctionslocalfunctionspace.hh
              datahandleprovider.hh
              entityindexcache.hh
              genericdatahandle.hh
              gridfunctionadapter.hh
              gridfunctionspace.hh
              gridfunctionspacebase.hh
              gridfunctionspaceutilities.hh
              interpolate.hh
              lfsindexcache.hh
              loadbalance.hh
              localfunctionspace.hh
              localfunctionspacetags.hh
              localvector.hh
              powercompositegridfunctionspacebase.hh
              powergridfunctionspace.hh
              subspace.hh
              subspacelocalfunctionspace.hh
              tags.hh
              vectorgridfunctionspace.hh
              vtk.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/gridfunctionspace)

=== dune/pdelab/instationary/CMakeLists.txt ===
install(FILES explicitonestep.hh
              implicitonestep.hh
              onestep.hh
              onestepparameter.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/instationary)

=== dune/pdelab/localoperator/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-install(FILES callswitch.hh
+install(FILES blockdiagonal.hh
+              callswitch.hh
               convectiondiffusionccfv.hh
               convectiondiffusiondg.hh
               convectiondiffusionfem.hh
@@ -10,7 +11,6 @@
               dgnavierstokes.hh
               dgnavierstokesparameter.hh
               dgnavierstokesvelvecfem.hh
-              dgparameter.hh
               diffusionmixed.hh
               electrodynamic.hh
               errorindicatordg.hh

=== dune/pdelab/ordering/CMakeLists.txt ===
install(FILES
  chunkedblockordering.hh
  decorator.hh
  directleaflocalordering.hh
  entityblockedlocalordering.hh
  gridviewordering.hh
  interleavedordering.hh
  leafgridviewordering.hh
  leaflocalordering.hh
  leaforderingbase.hh
  lexicographicordering.hh
  localorderingbase.hh
  orderingbase.hh
  permutedordering.hh
  singlecodimleafordering.hh
  subordering.hh
  transformations.hh
  utility.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/ordering)

=== dune/pdelab/stationary/CMakeLists.txt ===
install(FILES linearproblem.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/stationary)

=== dune/pdelab/test/CMakeLists.txt ===
add_subdirectory(fem)

dune_add_test(SOURCES testanalytic.cc)

dune_add_test(SOURCES testbindtime.cc)

dune_add_test(SOURCES testclock.cc)

dune_add_test(NAME testcomplexnumbers-istl
              SOURCES testcomplexnumbers.cc
              COMPILE_DEFINITIONS SUPERLU_NTYPE=3
                                  USE_ISTL)

dune_add_test(NAME testcomplexnumbers-istlbackend
              SOURCES testcomplexnumbers.cc
              COMPILE_DEFINITIONS SUPERLU_NTYPE=3
                                  USE_ISTL_BACKEND)

dune_add_test(SOURCES testconstraints.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")

dune_add_test(SOURCES testdunefunctionsgfs.cc
              CMAKE_GUARD dune-functions_FOUND)

dune_add_test(SOURCES testelectrodynamic.cc
              CMD_ARGS "${CMAKE_CURRENT_SOURCE_DIR}/grids/circ_in_rect.msh"
              CMAKE_GUARD dune-alugrid_FOUND SUPERLU_FOUND)

dune_add_test(SOURCES testfunction.cc)

dune_add_test(SOURCES testgridfunctionspace.cc)

dune_add_test(SOURCES testgridfunctionspace-fixedsize.cc)

dune_add_test(SOURCES testpowergridfunctionspace-fixedsize.cc)

dune_add_test(SOURCES testplasticitygfs.cc)

dune_add_test(SOURCES testheat-instationary-periodic.cc)

dune_add_test(SOURCES testelasticity.cc)

dune_add_test(SOURCES testdglegendre.cc)

dune_add_test(SOURCES testfastdgassembler.cc)

dune_add_test(SOURCES testinstationaryfastdgassembler.cc)

dune_add_test(SOURCES testlocalfunctionspace.cc)

dune_add_test(SOURCES testlocaloperatorinterface.cc)

dune_add_test(SOURCES testpk2dinterpolation.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testpk2dinterpolation)

dune_add_test(SOURCES testpk.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testpk)

dune_add_test(SOURCES testpoisson.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testpoisson)

dune_add_test(SOURCES testchunkedblockordering.cc)

dune_add_test(SOURCES testrt0.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testrt0)

dune_add_test(SOURCES testrt02dgridfunctionspace.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
add_dune_alberta_flags(testrt02dgridfunctionspace)

dune_add_test(SOURCES testutilities.cc)

dune_add_test(SOURCES testinterpolate.cc)

dune_add_test(SOURCES test-instationary-with-boundary-constraints.cc)

dune_add_test(SOURCES testnumericaljacobianmethods.cc)

dune_add_test(SOURCES testrtfem.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")

dune_add_test(SOURCES testbdmfem.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")

dune_add_test(SOURCES testvectoriterator.cc)

dune_add_test(SOURCES testpermutedordering.cc)

dune_add_test(SOURCES testsimplebackend.cc
              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")

dune_add_test(SOURCES test-transport-ccfv.cc)


if(EIGEN3_FOUND)
  dune_add_test(SOURCES testeigenbackend.cc
               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
endif(EIGEN3_FOUND)

if(dune-alugrid_FOUND)
  dune_add_test(SOURCES testordering.cc)

  dune_add_test(SOURCES testloadbalancing.cc
                COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
                MPI_RANKS 2
                TIMEOUT 300)
endif(dune-alugrid_FOUND)

if(GMP_FOUND)
  dune_add_test(SOURCES testopbfem.cc)
  dune_add_test(SOURCES test-dg-amg.cc)
endif(GMP_FOUND)

# Include periodic tests. Must run in parallel.
foreach(degree IN ITEMS 1 2)
  foreach(dg IN ITEMS 0 1)
    dune_add_test(NAME testpoisson-periodic-2d-deg${degree}-dg${dg}-parallel
                  SOURCES testpoisson-periodic-2d.cc
                  MPI_RANKS 1 2
                  COMPILE_DEFINITIONS DEGREE=${degree} DG=${dg}
                  TIMEOUT 300)

    dune_add_test(NAME testpoisson-periodic-3d-deg${degree}-dg${dg}-parallel
                  SOURCES testpoisson-periodic-3d.cc
                  MPI_RANKS 1 4
                  COMPILE_DEFINITIONS DEGREE=${degree} DG=${dg}
                  TIMEOUT 300)
  endforeach()
endforeach()

dune_add_test(NAME testnonoverlappingsinglephaseflow-yasp
              SOURCES testnonoverlappingsinglephaseflow.cc
              MPI_RANKS 1 2
              TIMEOUT 300)

if(UG_FOUND)
  dune_add_test(NAME testnonoverlappingsinglephaseflow-ug
                SOURCES testnonoverlappingsinglephaseflow.cc
                COMPILE_DEFINITIONS GRID_UG
                MPI_RANKS 1 2
                TIMEOUT 300)

  dune_add_test(SOURCES testnonoverlappingsinglephaseflow-boilerplate.cc
                COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
                MPI_RANKS 2
                TIMEOUT 300)

  dune_add_test(SOURCES testadaptivity.cc)

  dune_add_test(SOURCES testnonoverlapping.cc
                MPI_RANKS 2
                TIMEOUT 300)
endif()


dune_add_test(SOURCES testranktransmission.cc
              MPI_RANKS 2
              TIMEOUT 300)

dune_add_test(SOURCES testl2.cc)

exclude_from_headercheck(
  gridexamples.hh
  helmholtzoperator.hh
  testadaptivity-adaptivity.hh
  testadaptivity-bcextension.hh
  testadaptivity-bctype.hh
  testadaptivity-error-indicator.hh
  testadaptivity-operator.hh
  testcomplexnumbers-problem.hh
  testnonoverlappingsinglephaseflow-boilerplate-problem.hh
  testnonoverlappingsinglephaseflow-problem.hh
  testpoisson-periodic.hh
)

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/vtk)

=== debian/changelog ===
dune-pdelab (2.6~20180302-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:17:40 +0100

dune-pdelab (2.6~20180302-2) unstable; urgency=medium

  * d/control: Build-Depend on libalberta-dev instead of libalberta2-dev.
  * Bumped Standards-Version to 4.4.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 23 Oct 2019 19:13:24 +0200

dune-pdelab (2.6~20180302-1) unstable; urgency=medium

  * New upstream snapshot (commit: e88a57a22a0d42084255eeaa38ac716ab98be96a)
  * d/control: add `Rules-Requires-Root: no`
  * d/control: add explicit (build-)dep on libdune-common-dev
  * libdune-pdelab-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 13 Apr 2018 08:47:01 +0200

=== debian/control ===
Source: dune-pdelab
Section: libs
Priority: optional
Standards-Version: 4.4.1
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Vcs-Browser: https://salsa.debian.org/science-team/dune-pdelab
Vcs-Git: https://salsa.debian.org/science-team/dune-pdelab.git
Homepage: https://www.dune-project.org/modules/dune-pdelab/
Build-Depends: debhelper (>= 9),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.6.0),
 libdune-functions-dev (>= 2.6~),
 libdune-grid-dev (>= 2.6.0),
 libdune-istl-dev (>= 2.6.0),
 libdune-localfunctions-dev (>= 2.6.0),
 libdune-typetree-dev (>= 2.6~),
 libeigen3-dev,
 libalberta-dev (>= 2.0.1-5),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
Rules-Requires-Root: no

Package: libdune-pdelab-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.6.0),
 libdune-functions-dev (>= 2.6~),
 libdune-grid-dev (>= 2.6.0),
 libdune-istl-dev (>= 2.6.0),
 libdune-localfunctions-dev (>= 2.6.0),
 libdune-typetree-dev (>= 2.6~),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Suggests: libdune-pdelab-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- discretization module (development files)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the development files.

Package: libdune-pdelab-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- discretization module (documentation)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the documentation.

## dune-pdelab 2.7~20200605

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-pdelab" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.6)
 
 # guess dune-common build dir
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -25,21 +25,18 @@
 # Disable the upstream testing magic, that builds tests during "make test"
 set(DUNE_TEST_MAGIC OFF)
 
-# To have enable all packages work with cmake-2.8, the module
-# libraries need to be added before the call to dune_enable_all_packages()
-# With cmake 3.1, one would use the MODULE_LIBRARIES argument of
-# dune_enable_all_packages() instead.
-dune_add_library(dunepdelab
-  dune/pdelab/common/clock.cc
+# Use the enable all packages feature
+dune_enable_all_packages(MODULE_LIBRARIES dunepdelab)
+
+if(NOT MINGW)
+  set(clock_cc "dune/pdelab/common/clock.cc")
+endif()
+
+dune_library_add_sources(dunepdelab SOURCES
+  ${clock_cc}
   dune/pdelab/common/hostname.cc
   dune/pdelab/common/logtag.cc
-  )
-dune_target_enable_all_packages(dunepdelab)
-
-dune_register_package_flags(LIBRARIES dunepdelab)
-
-# Use the enable all packages feature
-dune_enable_all_packages()
+)
 
 add_subdirectory(doc)
 add_subdirectory(dune/pdelab)

=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)
add_subdirectory(Recipes)

=== doc/Recipes/CMakeLists.txt ===

dune_add_test(SOURCES recipe-geometry-grid.cc)
dune_add_test(SOURCES recipe-integrating-grid-functions.cc)
dune_add_test(SOURCES recipe-grid-function-operations.cc)
dune_add_test(SOURCES recipe-blocking.cc)
dune_add_test(SOURCES recipe-linear-system-assembly.cc)
dune_add_test(SOURCES recipe-linear-system-solution-istl.cc)
dune_add_test(SOURCES recipe-linear-system-solution-pdelab.cc)
dune_add_test(SOURCES recipe-communication.cc)
dune_add_test(SOURCES recipe-operator-splitting.cc
              MPI_RANKS 1 2 4
              TIMEOUT 30)

=== dune/pdelab/CMakeLists.txt ===
--- 
+++ 
@@ -12,5 +12,6 @@
 add_subdirectory(localoperator)
 add_subdirectory(newton)
 add_subdirectory(ordering)
+add_subdirectory(solver)
 add_subdirectory(stationary)
 add_subdirectory(test)

=== dune/pdelab/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
+if(NOT MINGW)
+  set(clock_hh "clock.hh")
+endif()
+
 install(FILES benchmarkhelper.hh
               borderindexidcache.hh
-              clock.hh
+              ${clock_hh}
               crossproduct.hh
               dofindex.hh
               elementmapper.hh

=== dune/pdelab/function/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 install(FILES
+              bindtime.hh
+              discretegridviewfunction.hh
               localfunction.hh
               localfunctionhelper.hh
               oldinterfaceadapter.hh

=== dune/pdelab/gridoperator/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(default)
add_subdirectory(fastdg)
add_subdirectory(onestep)

install(FILES fastdg.hh
              gridoperator.hh
              onestep.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/gridoperator)

=== dune/pdelab/localoperator/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 install(FILES blockdiagonal.hh
               callswitch.hh
+              combinedoperator.hh
               convectiondiffusionccfv.hh
               convectiondiffusiondg.hh
               convectiondiffusionfem.hh

=== dune/pdelab/solver/CMakeLists.txt ===
install(FILES newtonerrors.hh
              newton.hh
              newtonlinesearch.hh
              newtonterminate.hh
              utility.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/solver)

=== dune/pdelab/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,39 @@
 add_subdirectory(fem)
 
+dune_add_test(SOURCES testcombinedoperator.cc)
+
+dune_add_test(SOURCES testconvectiondiffusiondg.cc
+              CMAKE_GUARD SUPERLU_FOUND)
+
+dune_add_test(SOURCES testnewton.cc
+              CMAKE_GUARD SUPERLU_FOUND)
+
+dune_add_test(SOURCES testoldnewton.cc)
+
+dune_add_test(SOURCES testinstationary.cc)
+
 dune_add_test(SOURCES testanalytic.cc)
 
 dune_add_test(SOURCES testbindtime.cc)
-
-dune_add_test(SOURCES testclock.cc)
 
 dune_add_test(NAME testcomplexnumbers-istl
               SOURCES testcomplexnumbers.cc
               COMPILE_DEFINITIONS SUPERLU_NTYPE=3
-                                  USE_ISTL)
+                                  USE_ISTL
+              CMAKE_GUARD SUPERLU_FOUND)
 
 dune_add_test(NAME testcomplexnumbers-istlbackend
               SOURCES testcomplexnumbers.cc
               COMPILE_DEFINITIONS SUPERLU_NTYPE=3
-                                  USE_ISTL_BACKEND)
+                                  USE_ISTL_BACKEND
+              CMAKE_GUARD SUPERLU_FOUND)
 
 dune_add_test(SOURCES testconstraints.cc
               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
 
 dune_add_test(SOURCES testdunefunctionsgfs.cc
-              CMAKE_GUARD dune-functions_FOUND)
+              MPI_RANKS 1 2 4
+              TIMEOUT 300)
 
 dune_add_test(SOURCES testelectrodynamic.cc
               CMD_ARGS "${CMAKE_CURRENT_SOURCE_DIR}/grids/circ_in_rect.msh"
@@ -40,6 +53,12 @@
 
 dune_add_test(SOURCES testelasticity.cc)
 
+dune_add_test(SOURCES testgeneo.cc
+              MPI_RANKS 2
+              TIMEOUT 300
+              CMAKE_GUARD SuiteSparse_UMFPACK_FOUND ARPACKPP_FOUND
+              )
+
 dune_add_test(SOURCES testdglegendre.cc)
 
 dune_add_test(SOURCES testfastdgassembler.cc)
@@ -48,6 +67,8 @@
 
 dune_add_test(SOURCES testlocalfunctionspace.cc)
 
+dune_add_test(SOURCES testlocalmatrix.cc)
+
 dune_add_test(SOURCES testlocaloperatorinterface.cc)
 
 dune_add_test(SOURCES testpk2dinterpolation.cc
@@ -62,6 +83,8 @@
               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
 add_dune_alberta_flags(testpoisson)
 
+dune_add_test(SOURCES testmatrixfree.cc)
+
 dune_add_test(SOURCES testchunkedblockordering.cc)
 
 dune_add_test(SOURCES testrt0.cc
@@ -76,8 +99,6 @@
 
 dune_add_test(SOURCES testinterpolate.cc)
 
-dune_add_test(SOURCES test-instationary-with-boundary-constraints.cc)
-
 dune_add_test(SOURCES testnumericaljacobianmethods.cc)
 
 dune_add_test(SOURCES testrtfem.cc
@@ -93,27 +114,33 @@
 dune_add_test(SOURCES testsimplebackend.cc
               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
 
-dune_add_test(SOURCES test-transport-ccfv.cc)
-
-
-if(EIGEN3_FOUND)
-  dune_add_test(SOURCES testeigenbackend.cc
-               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
-endif(EIGEN3_FOUND)
-
-if(dune-alugrid_FOUND)
-  dune_add_test(SOURCES testordering.cc)
-
-  dune_add_test(SOURCES testloadbalancing.cc
-                COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
-                MPI_RANKS 2
-                TIMEOUT 300)
-endif(dune-alugrid_FOUND)
-
-if(GMP_FOUND)
-  dune_add_test(SOURCES testopbfem.cc)
-  dune_add_test(SOURCES test-dg-amg.cc)
-endif(GMP_FOUND)
+dune_add_test(SOURCES testclock.cc
+              CMAKE_GUARD "NOT MINGW")
+
+dune_add_test(SOURCES test-instationary-with-boundary-constraints.cc
+              CMAKE_GUARD "NOT MINGW")
+
+dune_add_test(SOURCES test-transport-ccfv.cc
+              CMAKE_GUARD "NOT MINGW")
+
+dune_add_test(SOURCES testeigenbackend.cc
+              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
+              CMAKE_GUARD EIGEN3_FOUND)
+
+dune_add_test(SOURCES testordering.cc
+              CMAKE_GUARD dune-alugrid_FOUND)
+
+dune_add_test(SOURCES testloadbalancing.cc
+              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
+              MPI_RANKS 2
+              TIMEOUT 300
+              CMAKE_GUARD dune-alugrid_FOUND)
+
+dune_add_test(SOURCES testopbfem.cc
+              CMAKE_GUARD GMP_FOUND)
+
+dune_add_test(SOURCES test-dg-amg.cc
+              CMAKE_GUARD GMP_FOUND)
 
 # Include periodic tests. Must run in parallel.
 foreach(degree IN ITEMS 1 2)
@@ -137,31 +164,36 @@
               MPI_RANKS 1 2
               TIMEOUT 300)
 
-if(UG_FOUND)
-  dune_add_test(NAME testnonoverlappingsinglephaseflow-ug
-                SOURCES testnonoverlappingsinglephaseflow.cc
-                COMPILE_DEFINITIONS GRID_UG
-                MPI_RANKS 1 2
-                TIMEOUT 300)
-
-  dune_add_test(SOURCES testnonoverlappingsinglephaseflow-boilerplate.cc
-                COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
-                MPI_RANKS 2
-                TIMEOUT 300)
-
-  dune_add_test(SOURCES testadaptivity.cc)
-
-  dune_add_test(SOURCES testnonoverlapping.cc
-                MPI_RANKS 2
-                TIMEOUT 300)
-endif()
-
+dune_add_test(NAME testnonoverlappingsinglephaseflow-ug
+              SOURCES testnonoverlappingsinglephaseflow.cc
+              COMPILE_DEFINITIONS GRID_UG
+              MPI_RANKS 1 2
+              TIMEOUT 300
+              CMAKE_GUARD dune-uggrid_FOUND)
+
+dune_add_test(SOURCES testnonoverlappingsinglephaseflow-boilerplate.cc
+              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
+              MPI_RANKS 2
+              TIMEOUT 300
+              CMAKE_GUARD dune-uggrid_FOUND)
+
+dune_add_test(SOURCES testadaptivity.cc
+              CMAKE_GUARD dune-uggrid_FOUND)
+
+dune_add_test(SOURCES testnonoverlapping.cc
+              MPI_RANKS 2
+              TIMEOUT 300
+              CMAKE_GUARD dune-uggrid_FOUND)
 
 dune_add_test(SOURCES testranktransmission.cc
               MPI_RANKS 2
               TIMEOUT 300)
 
 dune_add_test(SOURCES testl2.cc)
+
+dune_add_test(SOURCES test-blocked-istl-ordering.cc)
+
+dune_add_test(SOURCES testtimedependentboundary_ovlpqk.cc)
 
 exclude_from_headercheck(
   gridexamples.hh

=== dune/pdelab/backend/common/CMakeLists.txt ===
install(FILES aliasedmatrixview.hh
              aliasedvectorview.hh
              tags.hh
              uncachedmatrixview.hh
              uncachedvectorview.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/backend/common)

=== dune/pdelab/backend/istl/CMakeLists.txt ===
add_subdirectory(geneo)

install(FILES
  bcrsmatrix.hh
  bcrsmatrixbackend.hh
  bcrspattern.hh
  blockmatrixdiagonal.hh
  cg_to_dg_prolongation.hh
  descriptors.hh
  dunefunctions.hh
  forwarddeclarations.hh
  istlsolverbackend.hh
  matrixhelpers.hh
  novlpistlsolverbackend.hh
  ovlp_amg_dg_backend.hh
  ovlpistlsolverbackend.hh
  parallelhelper.hh
  patternstatistics.hh
  seq_amg_dg_backend.hh
  seqistlsolverbackend.hh
  tags.hh
  utility.hh
  vector.hh
  vectorhelpers.hh
  vectoriterator.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/backend/istl)

=== debian/changelog ===
dune-pdelab (2.7~20200605-2ubuntu2) hirsute; urgency=medium

  * Reduce parallelism to 3 in armhf and ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jan 2021 22:58:32 +0100

dune-pdelab (2.7~20200605-2) unstable; urgency=medium

  * Upload to unstable.
  * Increase timeout for `recipe-operator-splitting` as it timed on on
    armel and mips64el.
    + Updated patch: increase-timeout.patch

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:45:47 +0200

dune-pdelab (2.7~20200605-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: Add runtime dependency on libeigen3-dev.
    See https://salsa.debian.org/science-team/dune-pdelab/-/merge_requests/1
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Wed, 10 Jun 2020 14:29:46 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

ifneq (,$(filter armhf ppc64el, $(DEB_HOST_ARCH)))
    DEB_BUILD_OPTIONS=parallel=3
endif

%:
	dh $@ --builddirectory=build
